import { Repository } from "typeorm";
import { RolePermission } from "../../common/rolepermission/rolepermission.entity";
import { CreateRolePermissionDto, UpdateRolePermissionDto } from "./admin.rolepermission.dto";
export declare class AdminRolePermissionService {
    private readonly rolepermissionRepository;
    constructor(rolepermissionRepository: Repository<RolePermission>);
    create(CreateRoleDto: CreateRolePermissionDto): Promise<RolePermission>;
    findAll(): Promise<RolePermission[]>;
    findRolePermission(roleId: number): Promise<RolePermission[]>;
    findOne(id: number): Promise<RolePermission>;
    update(id: number, UpdateRoleDto: UpdateRolePermissionDto): Promise<RolePermission>;
    remove(id: number): Promise<void>;
}
